fmt_double(3)

NAME
fmt_double - write an ASCII representation of a double

SYNTAX
#include <fmt.h> unsigned int fmt_double(char *dest,double d,int maxlen,int prec);

DESCRIPTION
fmt_double writes an ASCII representation ('0' to '9', base 10) of d to dest and returns the number of bytes written. No more than maxlen bytes will be written. prec digits will be written, using scientific notation if necessary. fmt_double does not append \0. If dest equals FMT_LEN (i.e. is zero), fmt_double returns the number of bytes it would have written.

SEE ALSO
scan_double(3)